Bug 136082 - My laptop soundcard is detected but I hear no sound
My laptop soundcard is detected but I hear no sound
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks: FCMETA_ALSA
  Show dependency treegraph
 
Reported: 2004-10-17 14:31 EDT by bednar
Modified: 2015-01-04 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-07 02:58:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description bednar 2004-10-17 14:31:59 EDT
Description of problem:
Hardware Toshiba Stellite 1135-S1554. The soundcard detection works
good but I hear no Test sound. There is no sound from Phones or from
speakers output or from build in speakers. I tested it with all
sliders in Alsa Mixer ans Oss Mixer moved upward and unmarked Mute in
all positions of Mixers.

Version-Release number of selected component (if applicable):
this is output of my lspci
00:1f.5 Multimedia audio controller: Intel Corp. 82801DB/DBL/DBM
(ICH4/ICH4-L/ICH4-M) AC'97 Audio Controller (rev 03)
00:1f.6 Modem: Intel Corp. 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) AC'97
Modem Controller (rev 03)

How reproducible:
Always

Steps to Reproduce:
1.Run Soundcard detection under Gnome
2.click Test sound
3.
  
Actual results:
No sound

Expected results:
Sound

Additional info:
Comment 1 Bill Nottingham 2004-10-17 15:44:12 EDT
Sounds like a driver issue.
Comment 2 bednar 2004-10-19 15:33:44 EDT
Looks, ther is no sound at all :)
Comment 3 bednar 2004-10-19 17:14:21 EDT
Now serious,
I would like to send to bugzilla some debug output or something
similar but I don't know much about Alsa. Where can I find alsa logs,
error codes, etc?
Comment 4 bednar 2004-11-04 17:34:42 EST
Half day before FC3 final release and the problem persists :(

Comment 5 bednar 2004-11-04 17:42:26 EST
[bednar@kapsel ~]$ system-config-soundcard 
Simple mixer control 'PCM',0 
  Capabilities: pvolume pswitch pswitch-joined 
  Playback channels: Front Left - Front Right 
  Limits: Playback 0 - 31 
  Front Left: Playback 23 [74%] [on] 
  Front Right: Playback 23 [74%] [on] 
Playing WAVE '/usr/share/system-config-soundcard/sound-sample.wav' : 
Signed 16 bit Little Endian, Rate 44100 Hz, Stereo 
aplay: pcm_write:1115: write error: Input/output error 
[bednar@kapsel ~]$ 
 
[root@kapsel ~]# lsmod 
Module                  Size  Used by 
i915                   76869  3 
parport_pc             24705  1 
lp                     11565  0 
parport                41737  2 parport_pc,lp 
autofs4                24005  0 
i2c_dev                10433  0 
i2c_core               22081  1 i2c_dev 
sunrpc                160421  1 
orinoco_cs              9545  1 
orinoco                47053  1 orinoco_cs 
hermes                  7617  2 orinoco_cs,orinoco 
ds                     16965  7 orinoco_cs 
dm_mod                 54741  0 
button                  6481  0 
battery                 8517  0 
ac                      4805  0 
yenta_socket           18753  1 
pcmcia_core            59913  3 orinoco_cs,ds,yenta_socket 
uhci_hcd               31449  0 
ehci_hcd               31557  0 
snd_intel8x0m          18185  0 
snd_intel8x0           34829  0 
snd_ac97_codec         64401  2 snd_intel8x0m,snd_intel8x0 
snd_pcm_oss            47609  0 
snd_mixer_oss          17217  1 snd_pcm_oss 
snd_pcm                97993  3 
snd_intel8x0m,snd_intel8x0,snd_pcm_oss 
snd_timer              29765  1 snd_pcm 
snd_page_alloc          9673  3 snd_intel8x0m,snd_intel8x0,snd_pcm 
gameport                4801  1 snd_intel8x0 
snd_mpu401_uart         8769  1 snd_intel8x0 
snd_rawmidi            26725  1 snd_mpu401_uart 
snd_seq_device          8137  1 snd_rawmidi 
snd                    54053  10 
snd_intel8x0m,snd_intel8x0,snd_ac97_codec,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_timer,snd_mpu401_uart,snd_rawmidi,snd_seq_device 
soundcore               9889  1 snd 
8139too                26305  0 
mii                     4673  1 8139too 
ext3                  116809  2 
jbd                    74969  1 ext3 
 
 
 
[root@kapsel ~]# lspci -v 
00:00.0 Host bridge: Intel Corp. 82852/82855 GM/GME/PM/GMV Processor 
to I/O Controller (rev 01) 
        Subsystem: Toshiba America Info Systems: Unknown device ff00 
        Flags: bus master, fast devsel, latency 0 
        Memory at <unassigned> (32-bit, prefetchable) 
        Capabilities: [40] Vendor Specific Information 
 
00:00.1 System peripheral: Intel Corp. 82852/82855 GM/GME/PM/GMV 
Processor to I/O Controller (rev 01) 
        Subsystem: Toshiba America Info Systems: Unknown device ff00 
        Flags: bus master, fast devsel, latency 0 
 
00:00.3 System peripheral: Intel Corp. 82852/82855 GM/GME/PM/GMV 
Processor to I/O Controller (rev 01) 
        Subsystem: Toshiba America Info Systems: Unknown device ff00 
        Flags: bus master, fast devsel, latency 0 
 
00:02.0 VGA compatible controller: Intel Corp. 82852/855GM Integrated 
Graphics Device (rev 01) (prog-if 00 [VGA]) 
        Subsystem: Toshiba America Info Systems: Unknown device ff00 
        Flags: bus master, fast devsel, latency 0, IRQ 11 
        Memory at e8000000 (32-bit, prefetchable) [size=128M] 
        Memory at e0000000 (32-bit, non-prefetchable) [size=512K] 
        I/O ports at 1800 [size=8] 
        Capabilities: [d0] Power Management version 1 
 
00:02.1 Display controller: Intel Corp. 82852/855GM Integrated 
Graphics Device (rev 01) 
        Subsystem: Toshiba America Info Systems: Unknown device ff00 
        Flags: fast devsel 
        Memory at f0000000 (32-bit, prefetchable) [size=128M] 
        Memory at e0080000 (32-bit, non-prefetchable) [size=512K] 
        Capabilities: [d0] Power Management version 1 
 
00:1d.0 USB Controller: Intel Corp. 82801DB/DBL/DBM 
(ICH4/ICH4-L/ICH4-M) USB UHCI Controller #1 (rev 03) (prog-if 00 
[UHCI]) 
        Subsystem: Toshiba America Info Systems: Unknown device ff00 
        Flags: bus master, medium devsel, latency 0, IRQ 11 
        I/O ports at 1820 [size=32] 
 
00:1d.1 USB Controller: Intel Corp. 82801DB/DBL/DBM 
(ICH4/ICH4-L/ICH4-M) USB UHCI Controller #2 (rev 03) (prog-if 00 
[UHCI]) 
        Subsystem: Toshiba America Info Systems: Unknown device ff00 
        Flags: bus master, medium devsel, latency 0, IRQ 10 
        I/O ports at 1840 [size=32] 
 
00:1d.2 USB Controller: Intel Corp. 82801DB/DBL/DBM 
(ICH4/ICH4-L/ICH4-M) USB UHCI Controller #3 (rev 03) (prog-if 00 
[UHCI]) 
        Subsystem: Toshiba America Info Systems: Unknown device ff00 
        Flags: bus master, medium devsel, latency 0, IRQ 11 
        I/O ports at 1860 [size=32] 
 
00:1d.7 USB Controller: Intel Corp. 82801DB/DBM (ICH4/ICH4-M) USB2 
EHCI Controller (rev 03) (prog-if 20 [EHCI]) 
        Subsystem: Toshiba America Info Systems: Unknown device ff00 
        Flags: bus master, medium devsel, latency 0, IRQ 10 
        Memory at e0100000 (32-bit, non-prefetchable) [size=1K] 
        Capabilities: [50] Power Management version 2 
        Capabilities: [58] Debug port 
 
00:1e.0 PCI bridge: Intel Corp. 82801 Mobile PCI Bridge (rev 83) 
(prog-if 00 [Normal decode]) 
        Flags: bus master, fast devsel, latency 0 
        Bus: primary=00, secondary=02, subordinate=02, sec-latency=64 
        I/O behind bridge: 00003000-00003fff 
        Memory behind bridge: e0200000-e02fffff 
 
00:1f.0 ISA bridge: Intel Corp. 82801DBM (ICH4-M) LPC Interface 
Bridge (rev 03) 
        Flags: bus master, medium devsel, latency 0 
 
00:1f.1 IDE interface: Intel Corp. 82801DBM (ICH4-M) IDE Controller 
(rev 03) (prog-if 8a [Master SecP PriP]) 
        Subsystem: Toshiba America Info Systems: Unknown device ff00 
        Flags: bus master, medium devsel, latency 0, IRQ 11 
        I/O ports at <unassigned> 
        I/O ports at <unassigned> 
        I/O ports at <unassigned> 
        I/O ports at <unassigned> 
        I/O ports at 1810 [size=16] 
        Memory at 20000000 (32-bit, non-prefetchable) [size=1K] 
 
00:1f.3 SMBus: Intel Corp. 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) SMBus 
Controller (rev 03) 
        Subsystem: Toshiba America Info Systems: Unknown device ff00 
        Flags: medium devsel, IRQ 10 
        I/O ports at 1500 [size=32] 
 
00:1f.5 Multimedia audio controller: Intel Corp. 82801DB/DBL/DBM 
(ICH4/ICH4-L/ICH4-M) AC'97 Audio Controller (rev 03) 
        Subsystem: Toshiba America Info Systems: Unknown device ff00 
        Flags: bus master, medium devsel, latency 0, IRQ 10 
        I/O ports at 1c00 [size=256] 
        I/O ports at 18c0 [size=64] 
        Memory at e0100c00 (32-bit, non-prefetchable) [size=512] 
        Memory at e0100800 (32-bit, non-prefetchable) [size=256] 
        Capabilities: [50] Power Management version 2 
 
00:1f.6 Modem: Intel Corp. 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) AC'97 
Modem Controller (rev 03) (prog-if 00 [Generic]) 
        Subsystem: Toshiba America Info Systems: Unknown device 0001 
        Flags: bus master, medium devsel, latency 0, IRQ 10 
        I/O ports at 2400 [size=256] 
        I/O ports at 2000 [size=128] 
        Capabilities: [50] Power Management version 2 
 
02:01.0 Ethernet controller: Realtek Semiconductor Co., Ltd. 
RTL-8139/8139C/8139C+ (rev 10) 
        Subsystem: Toshiba America Info Systems: Unknown device ff00 
        Flags: bus master, medium devsel, latency 64, IRQ 10 
        I/O ports at 3000 [size=256] 
        Memory at e0200000 (32-bit, non-prefetchable) [size=256] 
        Capabilities: [50] Power Management version 2 
 
02:02.0 CardBus bridge: Texas Instruments PCI1410 PC card Cardbus 
Controller (rev 01) 
        Subsystem: Lucent Technologies: Unknown device ab01 
        Flags: bus master, medium devsel, latency 168, IRQ 11 
        Memory at 20001000 (32-bit, non-prefetchable) [size=4K] 
        Bus: primary=02, secondary=03, subordinate=06, 
sec-latency=176 
        Memory window 0: 20400000-207ff000 (prefetchable) 
        Memory window 1: 20800000-20bff000 
        I/O window 0: 00004000-000040ff 
        I/O window 1: 00004400-000044ff 
        16-bit legacy interface ports at 0001 
 
02:04.0 CardBus bridge: O2 Micro, Inc. OZ6933 Cardbus Controller (rev 
01) 
        Subsystem: Toshiba America Info Systems: Unknown device ff00 
        Flags: bus master, stepping, slow devsel, latency 168, IRQ 11 
        Memory at 20002000 (32-bit, non-prefetchable) [size=4K] 
        Bus: primary=02, secondary=07, subordinate=0a, 
sec-latency=176 
        Memory window 0: 20c00000-20fff000 (prefetchable) 
        Memory window 1: 21000000-213ff000 
        I/O window 0: 00004800-000048ff 
        I/O window 1: 00004c00-00004cff 
        16-bit legacy interface ports at 0001 
 
02:04.1 CardBus bridge: O2 Micro, Inc. OZ6933 Cardbus Controller (rev 
01) 
        Subsystem: Toshiba America Info Systems: Unknown device ff00 
        Flags: bus master, stepping, slow devsel, latency 168, IRQ 10 
        Memory at 20003000 (32-bit, non-prefetchable) [size=4K] 
        Bus: primary=02, secondary=0b, subordinate=0e, 
sec-latency=176 
        Memory window 0: 21400000-217ff000 (prefetchable) 
        Memory window 1: 21800000-21bff000 
        I/O window 0: 00005000-000050ff 
        I/O window 1: 00005400-000054ff 
        16-bit legacy interface ports at 0001 
 
 
 
 
 
Comment 6 bednar 2004-11-04 17:43:33 EST
and here is my strace output of playwave: 
 
[root@kapsel ~]# cat strace-snd.txt 
execve("/usr/bin/playwave", ["playwave", 
"/usr/share/sounds/warning.wav"], [/* 22 vars */]) = 0 
uname({sys="Linux", node="kapsel.localdomain", ...}) = 0 
brk(0)                                  = 0x99f4000 
access("/etc/ld.so.preload", R_OK)      = -1 ENOENT (No such file or 
directory) 
open("/etc/ld.so.cache", O_RDONLY)      = 3 
fstat64(3, {st_mode=S_IFREG|0644, st_size=82908, ...}) = 0 
old_mmap(NULL, 82908, PROT_READ, MAP_PRIVATE, 3, 0) = 0xf6feb000 
close(3)                                = 0 
open("/usr/lib/libSDL_mixer-1.2.so.0", O_RDONLY) = 3 
read(3, 
"\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0@\247\206"..., 512) = 
512 
fstat64(3, {st_mode=S_IFREG|0755, st_size=220868, ...}) = 0 
old_mmap(0x862000, 245200, PROT_READ|PROT_EXEC, MAP_PRIVATE|
MAP_DENYWRITE, 3, 0) = 0x862000 
old_mmap(0x892000, 28672, PROT_READ|PROT_WRITE, MAP_PRIVATE|
MAP_FIXED|MAP_DENYWRITE, 3, 0x2f000) = 0x892000 
old_mmap(0x899000, 19920, PROT_READ|PROT_WRITE, MAP_PRIVATE|
MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x899000 
close(3)                                = 0 
open("/usr/lib/libvorbisfile.so.3", O_RDONLY) = 3 
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0000\370"..., 
512) = 512 
fstat64(3, {st_mode=S_IFREG|0755, st_size=26380, ...}) = 0 
old_mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, 
-1, 0) = 0xf6fea000 
old_mmap(0x98e000, 27744, PROT_READ|PROT_EXEC, MAP_PRIVATE|
MAP_DENYWRITE, 3, 0) = 0x98e000 
old_mmap(0x994000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|
MAP_DENYWRITE, 3, 0x5000) = 0x994000 
close(3)                                = 0 
open("/usr/lib/libvorbis.so.0", O_RDONLY) = 3 
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0@|
\226\000"..., 512) = 512 
fstat64(3, {st_mode=S_IFREG|0755, st_size=161400, ...}) = 0 
old_mmap(0x965000, 158836, PROT_READ|PROT_EXEC, MAP_PRIVATE|
MAP_DENYWRITE, 3, 0) = 0x965000 
old_mmap(0x97d000, 61440, PROT_READ|PROT_WRITE, MAP_PRIVATE|
MAP_FIXED|MAP_DENYWRITE, 3, 0x18000) = 0x97d000 
close(3)                                = 0 
open("/usr/lib/libogg.so.0", O_RDONLY)  = 3 
read(3, 
"\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0`r\200\000"..., 512) 
= 512 
fstat64(3, {st_mode=S_IFREG|0755, st_size=17084, ...}) = 0 
old_mmap(0x806000, 18676, PROT_READ|PROT_EXEC, MAP_PRIVATE|
MAP_DENYWRITE, 3, 0) = 0x806000 
old_mmap(0x80a000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|
MAP_DENYWRITE, 3, 0x3000) = 0x80a000 
close(3)                                = 0 
open("/usr/lib/libSDL-1.2.so.0", O_RDONLY) = 3 
read(3, 
"\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\360h\370"..., 512) = 
512 
fstat64(3, {st_mode=S_IFREG|0755, st_size=403972, ...}) = 0 
old_mmap(0x7f7a000, 516172, PROT_READ|PROT_EXEC, MAP_PRIVATE|
MAP_DENYWRITE, 3, 0) = 0x7f7a000 
old_mmap(0x7fdb000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|
MAP_FIXED|MAP_DENYWRITE, 3, 0x60000) = 0x7fdb000 
old_mmap(0x7fdd000, 110668, PROT_READ|PROT_WRITE, MAP_PRIVATE|
MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x7fdd000 
mprotect(0xfeef0000, 4096, PROT_READ|PROT_WRITE|PROT_EXEC|
PROT_GROWSDOWN) = 0 
close(3)                                = 0 
open("/lib/tls/libm.so.6", O_RDONLY)    = 3 
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\0\3\317"..., 
512) = 512 
fstat64(3, {st_mode=S_IFREG|0755, st_size=215248, ...}) = 0 
old_mmap(0xced000, 139424, PROT_READ|PROT_EXEC, MAP_PRIVATE|
MAP_DENYWRITE, 3, 0) = 0xced000 
old_mmap(0xd0e000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|
MAP_DENYWRITE, 3, 0x20000) = 0xd0e000 
close(3)                                = 0 
open("/lib/libdl.so.2", O_RDONLY)       = 3 
read(3, 
"\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\260+\321"..., 512) = 
512 
fstat64(3, {st_mode=S_IFREG|0755, st_size=16908, ...}) = 0 
old_mmap(0xd12000, 12388, PROT_READ|PROT_EXEC, MAP_PRIVATE|
MAP_DENYWRITE, 3, 0) = 0xd12000 
old_mmap(0xd14000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|
MAP_DENYWRITE, 3, 0x1000) = 0xd14000 
close(3)                                = 0 
open("/lib/libasound.so.2", O_RDONLY)   = 3 
read(3, 
"\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0`\212\216"..., 512) = 
512 
fstat64(3, {st_mode=S_IFREG|0755, st_size=686604, ...}) = 0 
old_mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, 
-1, 0) = 0xf6fe9000 
old_mmap(0x78cb000, 682816, PROT_READ|PROT_EXEC, MAP_PRIVATE|
MAP_DENYWRITE, 3, 0) = 0x78cb000 
old_mmap(0x796e000, 16384, PROT_READ|PROT_WRITE, MAP_PRIVATE|
MAP_FIXED|MAP_DENYWRITE, 3, 0xa3000) = 0x796e000 
close(3)                                = 0 
open("/usr/X11R6/lib/libX11.so.6", O_RDONLY) = 3 
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\340\223"..., 
512) = 512 
fstat64(3, {st_mode=S_IFREG|0755, st_size=814588, ...}) = 0 
old_mmap(0xd18000, 813336, PROT_READ|PROT_EXEC, MAP_PRIVATE|
MAP_DENYWRITE, 3, 0) = 0xd18000 
old_mmap(0xddb000, 16384, PROT_READ|PROT_WRITE, MAP_PRIVATE|
MAP_FIXED|MAP_DENYWRITE, 3, 0xc3000) = 0xddb000 
close(3)                                = 0 
open("/usr/X11R6/lib/libXext.so.6", O_RDONLY) = 3 
read(3, 
"\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\2206\336"..., 512) = 
512 
fstat64(3, {st_mode=S_IFREG|0755, st_size=53508, ...}) = 0 
old_mmap(0xde1000, 55476, PROT_READ|PROT_EXEC, MAP_PRIVATE|
MAP_DENYWRITE, 3, 0) = 0xde1000 
old_mmap(0xdee000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|
MAP_DENYWRITE, 3, 0xc000) = 0xdee000 
close(3)                                = 0 
open("/lib/tls/libpthread.so.0", O_RDONLY) = 3 
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\20x\21"..., 
512) = 512 
fstat64(3, {st_mode=S_IFREG|0755, st_size=108424, ...}) = 0 
old_mmap(0x113000, 70132, PROT_READ|PROT_EXEC, MAP_PRIVATE|
MAP_DENYWRITE, 3, 0) = 0x113000 
old_mmap(0x121000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|
MAP_DENYWRITE, 3, 0xd000) = 0x121000 
old_mmap(0x123000, 4596, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|
MAP_ANONYMOUS, -1, 0) = 0x123000 
close(3)                                = 0 
open("/lib/tls/libc.so.6", O_RDONLY)    = 3 
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0 
\217\275"..., 512) = 512 
fstat64(3, {st_mode=S_IFREG|0755, st_size=1512400, ...}) = 0 
old_mmap(0xbc4000, 1207532, PROT_READ|PROT_EXEC, MAP_PRIVATE|
MAP_DENYWRITE, 3, 0) = 0xbc4000 
old_mmap(0xce5000, 16384, PROT_READ|PROT_WRITE, MAP_PRIVATE|
MAP_FIXED|MAP_DENYWRITE, 3, 0x120000) = 0xce5000 
old_mmap(0xce9000, 7404, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|
MAP_ANONYMOUS, -1, 0) = 0xce9000 
close(3)                                = 0 
old_mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, 
-1, 0) = 0xf6fe8000 
old_mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, 
-1, 0) = 0xf6fe7000 
mprotect(0xd0e000, 4096, PROT_READ)     = 0 
mprotect(0xd14000, 4096, PROT_READ)     = 0 
mprotect(0x121000, 4096, PROT_READ)     = 0 
mprotect(0xce5000, 8192, PROT_READ)     = 0 
mprotect(0xbc0000, 4096, PROT_READ)     = 0 
set_thread_area({entry_number:-1 -> 6, base_addr:0xf6fe76c0, 
limit:1048575, seg_32bit:1, contents:0, read_exec_only:0, 
limit_in_pages:1, seg_not_present:0, useable:1}) = 0 
munmap(0xf6feb000, 82908)               = 0 
set_tid_address(0xf6fe7708)             = 6172 
rt_sigaction(SIGRTMIN, {0x1173a0, [], SA_RESTORER|SA_SIGINFO, 
0x11e8a0}, NULL, 8) = 0 
rt_sigaction(SIGRT_1, {0x117410, [], SA_RESTORER|SA_RESTART|
SA_SIGINFO, 0x11e8a0}, NULL, 8) = 0 
rt_sigprocmask(SIG_UNBLOCK, [RTMIN], NULL, 8) = 0 
getrlimit(RLIMIT_STACK, {rlim_cur=10240*1024, 
rlim_max=RLIM_INFINITY}) = 0 
_sysctl({{CTL_KERN, KERN_VERSION}, 2, 0xfeef0c18, 30, (nil), 0}) = 0 
futex(0xd15060, FUTEX_WAKE, 2147483647) = 0 
brk(0)                                  = 0x99f4000 
brk(0x9a15000)                          = 0x9a15000 
open("/etc/ld.so.cache", O_RDONLY)      = 3 
fstat64(3, {st_mode=S_IFREG|0644, st_size=82908, ...}) = 0 
old_mmap(NULL, 82908, PROT_READ, MAP_PRIVATE, 3, 0) = 0xf6feb000 
close(3)                                = 0 
open("/usr/lib/libartsc.so.0", O_RDONLY) = 3 
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0PA/\000"..., 
512) = 512 
fstat64(3, {st_mode=S_IFREG|0755, st_size=21900, ...}) = 0 
old_mmap(0x2f3000, 23560, PROT_READ|PROT_EXEC, MAP_PRIVATE|
MAP_DENYWRITE, 3, 0) = 0x2f3000 
old_mmap(0x2f8000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|
MAP_DENYWRITE, 3, 0x4000) = 0x2f8000 
close(3)                                = 0 
munmap(0xf6feb000, 82908)               = 0 
open("/usr/lib/libartscbackend.la", O_RDONLY) = 3 
fstat64(3, {st_mode=S_IFREG|0755, st_size=1109, ...}) = 0 
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, 
-1, 0) = 0xf6fff000 
read(3, "# libartscbackend.la - a libtool"..., 4096) = 1109 
read(3, "", 4096)                       = 0 
close(3)                                = 0 
munmap(0xf6fff000, 4096)                = 0 
open("/usr/lib/libartscbackend.so.0", O_RDONLY) = 3 
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0p\212\0"..., 
512) = 512 
fstat64(3, {st_mode=S_IFREG|0755, st_size=70420, ...}) = 0 
old_mmap(NULL, 73348, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 
3, 0) = 0xf6fee000 
old_mmap(0xf6ffd000, 12288, PROT_READ|PROT_WRITE, MAP_PRIVATE|
MAP_FIXED|MAP_DENYWRITE, 3, 0xe000) = 0xf6ffd000 
close(3)                                = 0 
open("/etc/ld.so.cache", O_RDONLY)      = 3 
fstat64(3, {st_mode=S_IFREG|0644, st_size=82908, ...}) = 0 
old_mmap(NULL, 82908, PROT_READ, MAP_PRIVATE, 3, 0) = 0xf6fd2000 
close(3)                                = 0 
open("/usr/lib/libartsflow.so.1", O_RDONLY) = 3 
read(3, 
"\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\340kI\002"..., 512) 
= 512 
fstat64(3, {st_mode=S_IFREG|0755, st_size=1388736, ...}) = 0 
old_mmap(0x2430000, 1410700, PROT_READ|PROT_EXEC, MAP_PRIVATE|
MAP_DENYWRITE, 3, 0) = 0x2430000 
old_mmap(0x2566000, 122880, PROT_READ|PROT_WRITE, MAP_PRIVATE|
MAP_FIXED|MAP_DENYWRITE, 3, 0x135000) = 0x2566000 
old_mmap(0x2584000, 18060, PROT_READ|PROT_WRITE, MAP_PRIVATE|
MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x2584000 
close(3)                                = 0 
open("/usr/lib/libsoundserver_idl.so.1", O_RDONLY) = 3 
read(3, 
"\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\260>\213"..., 512) = 
512 
fstat64(3, {st_mode=S_IFREG|0755, st_size=437832, ...}) = 0 
old_mmap(0x879000, 434692, PROT_READ|PROT_EXEC, MAP_PRIVATE|
MAP_DENYWRITE, 3, 0) = 0xf6f67000 
old_mmap(0xf6fbb000, 94208, PROT_READ|PROT_WRITE, MAP_PRIVATE|
MAP_FIXED|MAP_DENYWRITE, 3, 0x54000) = 0xf6fbb000 
close(3)                                = 0 
open("/usr/lib/libkmedia2_idl.so.1", O_RDONLY) = 3 
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\260\204"..., 
512) = 512 
fstat64(3, {st_mode=S_IFREG|0755, st_size=283976, ...}) = 0 
old_mmap(0x832000, 280876, PROT_READ|PROT_EXEC, MAP_PRIVATE|
MAP_DENYWRITE, 3, 0) = 0xf6f22000 
old_mmap(0xf6f59000, 57344, PROT_READ|PROT_WRITE, MAP_PRIVATE|
MAP_FIXED|MAP_DENYWRITE, 3, 0x37000) = 0xf6f59000 
close(3)                                = 0 
open("/usr/lib/libaudiofile.so.0", O_RDONLY) = 3 
read(3, 
"\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0@%\270\000"..., 512) 
= 512 
fstat64(3, {st_mode=S_IFREG|0755, st_size=145820, ...}) = 0 
old_mmap(0xb7c000, 147380, PROT_READ|PROT_EXEC, MAP_PRIVATE|
MAP_DENYWRITE, 3, 0) = 0xb7c000 
old_mmap(0xb9d000, 12288, PROT_READ|PROT_WRITE, MAP_PRIVATE|
MAP_FIXED|MAP_DENYWRITE, 3, 0x20000) = 0xb9d000 
close(3)                                = 0 
open("/usr/lib/libesd.so.0", O_RDONLY)  = 3 
read(3, 
"\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\360G\304"..., 512) = 
512 
fstat64(3, {st_mode=S_IFREG|0755, st_size=38332, ...}) = 0 
old_mmap(0x7c42000, 35704, PROT_READ|PROT_EXEC, MAP_PRIVATE|
MAP_DENYWRITE, 3, 0) = 0x7c42000 
old_mmap(0x7c4a000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|
MAP_FIXED|MAP_DENYWRITE, 3, 0x8000) = 0x7c4a000 
close(3)                                = 0 
open("/usr/lib/libvorbisenc.so.2", O_RDONLY) = 3 
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0p 
\32\002"..., 512) = 512 
fstat64(3, {st_mode=S_IFREG|0755, st_size=1028016, ...}) = 0 
old_mmap(0x219a000, 1039620, PROT_READ|PROT_EXEC, MAP_PRIVATE|
MAP_DENYWRITE, 3, 0) = 0x219a000 
old_mmap(0x21a5000, 987136, PROT_READ|PROT_WRITE, MAP_PRIVATE|
MAP_FIXED|MAP_DENYWRITE, 3, 0xa000) = 0x21a5000 
old_mmap(0x2296000, 7428, PROT_READ|PROT_WRITE, MAP_PRIVATE|
MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x2296000 
close(3)                                = 0 
open("/usr/lib/libartsflow_idl.so.1", O_RDONLY) = 3 
read(3, 
"\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\20X=\002"..., 512) = 
512 
fstat64(3, {st_mode=S_IFREG|0755, st_size=762624, ...}) = 0 
old_mmap(0x2373000, 764016, PROT_READ|PROT_EXEC, MAP_PRIVATE|
MAP_DENYWRITE, 3, 0) = 0x2373000 
old_mmap(0x2405000, 167936, PROT_READ|PROT_WRITE, MAP_PRIVATE|
MAP_FIXED|MAP_DENYWRITE, 3, 0x91000) = 0x2405000 
close(3)                                = 0 
open("/usr/lib/libmcop.so.1", O_RDONLY) = 3 
read(3, 
"\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\360F\235"..., 512) = 
512 
fstat64(3, {st_mode=S_IFREG|0755, st_size=732484, ...}) = 0 
old_mmap(0x997000, 731468, PROT_READ|PROT_EXEC, MAP_PRIVATE|
MAP_DENYWRITE, 3, 0) = 0x997000 
old_mmap(0xa3b000, 61440, PROT_READ|PROT_WRITE, MAP_PRIVATE|
MAP_FIXED|MAP_DENYWRITE, 3, 0xa4000) = 0xa3b000 
close(3)                                = 0 
open("/usr/lib/libgmodule-2.0.so.0", O_RDONLY) = 3 
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\240\314"..., 
512) = 512 
fstat64(3, {st_mode=S_IFREG|0755, st_size=11172, ...}) = 0 
old_mmap(0x31c000, 8720, PROT_READ|PROT_EXEC, MAP_PRIVATE|
MAP_DENYWRITE, 3, 0) = 0x31c000 
old_mmap(0x31e000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|
MAP_DENYWRITE, 3, 0x2000) = 0x31e000 
close(3)                                = 0 
open("/usr/lib/libgthread-2.0.so.0", O_RDONLY) = 3 
read(3, 
"\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0PQ\264\000"..., 512) 
= 512 
fstat64(3, {st_mode=S_IFREG|0755, st_size=15440, ...}) = 0 
old_mmap(0xb44000, 12884, PROT_READ|PROT_EXEC, MAP_PRIVATE|
MAP_DENYWRITE, 3, 0) = 0xb44000 
old_mmap(0xb47000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|
MAP_DENYWRITE, 3, 0x3000) = 0xb47000 
close(3)                                = 0 
open("/usr/lib/libglib-2.0.so.0", O_RDONLY) = 3 
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0000\327"..., 
512) = 512 
fstat64(3, {st_mode=S_IFREG|0755, st_size=505200, ...}) = 0 
old_mmap(0x221000, 503692, PROT_READ|PROT_EXEC, MAP_PRIVATE|
MAP_DENYWRITE, 3, 0) = 0x221000 
old_mmap(0x29b000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|
MAP_DENYWRITE, 3, 0x7a000) = 0x29b000 
close(3)                                = 0 
open("/usr/lib/libstdc++.so.6", O_RDONLY) = 3 
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\300\352"..., 
512) = 512 
fstat64(3, {st_mode=S_IFREG|0755, st_size=811744, ...}) = 0 
old_mmap(0x321000, 832180, PROT_READ|PROT_EXEC, MAP_PRIVATE|
MAP_DENYWRITE, 3, 0) = 0x321000 
old_mmap(0x3e2000, 20480, PROT_READ|PROT_WRITE, MAP_PRIVATE|
MAP_FIXED|MAP_DENYWRITE, 3, 0xc1000) = 0x3e2000 
old_mmap(0x3e7000, 21172, PROT_READ|PROT_WRITE, MAP_PRIVATE|
MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x3e7000 
close(3)                                = 0 
open("/lib/libgcc_s.so.1", O_RDONLY)    = 3 
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\fU+\000"..., 
512) = 512 
fstat64(3, {st_mode=S_IFREG|0755, st_size=30856, ...}) = 0 
old_mmap(0x2b4000, 32184, PROT_READ|PROT_EXEC, MAP_PRIVATE|
MAP_DENYWRITE, 3, 0) = 0x2b4000 
old_mmap(0x2bb000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|
MAP_DENYWRITE, 3, 0x6000) = 0x2bb000 
close(3)                                = 0 
futex(0x3e3e0c, FUTEX_WAKE, 2147483647) = 0 
munmap(0xf6fd2000, 82908)               = 0 
time(NULL)                              = 1099608349 
uname({sys="Linux", node="kapsel.localdomain", ...}) = 0 
pipe([3, 4])                            = 0 
gettimeofday({1099608349, 532882}, NULL) = 0 
rt_sigaction(SIGPIPE, {SIG_IGN}, {SIG_DFL}, 8) = 0 
rt_sigaction(SIGILL, {0x24c15fc, [ILL], SA_RESTORER|SA_RESTART, 
0xbeba48}, {SIG_DFL}, 8) = 0 
rt_sigaction(SIGILL, {SIG_DFL}, {0x24c15fc, [ILL], SA_RESTORER|
SA_RESTART, 0xbeba48}, 8) = 0 
gettimeofday({1099608349, 554685}, NULL) = 0 
open("/etc/mtab", O_RDONLY)             = 5 
fstat64(5, {st_mode=S_IFREG|0644, st_size=299, ...}) = 0 
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, 
-1, 0) = 0xf6fe6000 
read(5, "/dev/hda2 / ext3 rw 0 0\nnone /pr"..., 4096) = 299 
close(5)                                = 0 
munmap(0xf6fe6000, 4096)                = 0 
open("/proc/stat", O_RDONLY)            = 5 
fstat64(5, {st_mode=S_IFREG|0444, st_size=0, ...}) = 0 
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, 
-1, 0) = 0xf6fe6000 
read(5, "cpu  19123 174 8078 353326 14544"..., 1024) = 228 
read(5, "", 1024)                       = 0 
close(5)                                = 0 
munmap(0xf6fe6000, 4096)                = 0 
pipe([5, 6])                            = 0 
fcntl64(5, F_GETFL)                     = 0 (flags O_RDONLY) 
fcntl64(5, F_SETFL, O_RDONLY|O_NONBLOCK) = 0 
fcntl64(6, F_GETFL)                     = 0x1 (flags O_WRONLY) 
fcntl64(6, F_SETFL, O_WRONLY|O_NONBLOCK) = 0 
open("/root/.mcoprc", O_RDONLY|O_LARGEFILE) = -1 ENOENT (No such file 
or directory) 
geteuid32()                             = 0 
socket(PF_FILE, SOCK_STREAM, 0)         = 7 
fcntl64(7, F_GETFL)                     = 0x2 (flags O_RDWR) 
fcntl64(7, F_SETFL, O_RDWR|O_NONBLOCK)  = 0 
connect(7, {sa_family=AF_FILE, path="/var/run/nscd/socket"}, 110) = 
-1 ENOENT (No such file or directory) 
close(7)                                = 0 
socket(PF_FILE, SOCK_STREAM, 0)         = 7 
fcntl64(7, F_GETFL)                     = 0x2 (flags O_RDWR) 
fcntl64(7, F_SETFL, O_RDWR|O_NONBLOCK)  = 0 
connect(7, {sa_family=AF_FILE, path="/var/run/nscd/socket"}, 110) = 
-1 ENOENT (No such file or directory) 
close(7)                                = 0 
open("/etc/nsswitch.conf", O_RDONLY)    = 7 
fstat64(7, {st_mode=S_IFREG|0644, st_size=1686, ...}) = 0 
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, 
-1, 0) = 0xf6fe6000 
read(7, "#\n# /etc/nsswitch.conf\n#\n# An ex"..., 4096) = 1686 
read(7, "", 4096)                       = 0 
close(7)                                = 0 
munmap(0xf6fe6000, 4096)                = 0 
open("/etc/ld.so.cache", O_RDONLY)      = 7 
fstat64(7, {st_mode=S_IFREG|0644, st_size=82908, ...}) = 0 
old_mmap(NULL, 82908, PROT_READ, MAP_PRIVATE, 7, 0) = 0xf6fd2000 
close(7)                                = 0 
open("/lib/libnss_files.so.2", O_RDONLY) = 7 
read(7, 
"\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0`\33\0\000"..., 512) 
= 512 
fstat64(7, {st_mode=S_IFREG|0755, st_size=47244, ...}) = 0 
old_mmap(NULL, 41628, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 
7, 0) = 0xf6f17000 
old_mmap(0xf6f20000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|
MAP_FIXED|MAP_DENYWRITE, 7, 0x8000) = 0xf6f20000 
close(7)                                = 0 
mprotect(0xf6f20000, 4096, PROT_READ)   = 0 
munmap(0xf6fd2000, 82908)               = 0 
open("/etc/passwd", O_RDONLY)           = 7 
fcntl64(7, F_GETFD)                     = 0 
fcntl64(7, F_SETFD, FD_CLOEXEC)         = 0 
fstat64(7, {st_mode=S_IFREG|0644, st_size=1564, ...}) = 0 
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, 
-1, 0) = 0xf6fe6000 
read(7, "root:x:0:0:root:/root:/bin/bash\n"..., 4096) = 1564 
close(7)                                = 0 
munmap(0xf6fe6000, 4096)                = 0 
mkdir("/tmp/mcop-root", 0700)           = 0 
lstat64("/tmp/mcop-root", {st_mode=S_IFDIR|0700, st_size=4096, ...}) 
= 0 
mkdir("/root", 0755)                    = -1 EEXIST (File exists) 
mkdir("/root/.mcop", 0755)              = -1 EEXIST (File exists) 
stat64("/root/.mcop", {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0 
open("/root/.mcop/random-seed", O_RDONLY) = 7 
fstat64(7, {st_mode=S_IFREG|0600, st_size=32, ...}) = 0 
lseek(7, 0, SEEK_SET)                   = 0 
read(7, "064901519be2963b6177eef55881a014", 32) = 32 
close(7)                                = 0 
lstat64("/root/.mcop/random-seed", {st_mode=S_IFREG|0600, 
st_size=32, ...}) = 0 
time(NULL)                              = 1099608349 
open("/root/.mcop/random-seed", O_WRONLY|O_CREAT|O_TRUNC, 0600) = 7 
gettimeofday({1099608349, 632421}, NULL) = 0 
uname({sys="Linux", node="kapsel.localdomain", ...}) = 0 
open("/dev/urandom", O_RDONLY)          = 8 
read(8, "\nI\261\2506\332A4\212\357V\32V,\322\"", 16) = 16 
close(8)                                = 0 
write(7, "9d632033ab7befb8e442dd47b648255e", 32) = 32 
close(7)                                = 0 
gettimeofday({1099608349, 633756}, NULL) = 0 
uname({sys="Linux", node="kapsel.localdomain", ...}) = 0 
open("/dev/urandom", O_RDONLY)          = 7 
read(7, "\177\235\214?\316\207\223\37*5\356\236\\\347\314;", 16) = 16 
close(7)                                = 0 
geteuid32()                             = 0 
open("/etc/passwd", O_RDONLY)           = 7 
fcntl64(7, F_GETFD)                     = 0 
fcntl64(7, F_SETFD, FD_CLOEXEC)         = 0 
fstat64(7, {st_mode=S_IFREG|0644, st_size=1564, ...}) = 0 
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, 
-1, 0) = 0xf6fe6000 
read(7, "root:x:0:0:root:/root:/bin/bash\n"..., 4096) = 1564 
close(7)                                = 0 
munmap(0xf6fe6000, 4096)                = 0 
mkdir("/tmp/mcop-root", 0700)           = -1 EEXIST (File exists) 
lstat64("/tmp/mcop-root", {st_mode=S_IFDIR|0700, st_size=4096, ...}) 
= 0 
open("/tmp/mcop-root/secret-cookie", O_WRONLY|O_CREAT|O_EXCL, 0600) = 
7 
write(7, "3f20d6300f88bbc5b896f08fd62fff18", 32) = 32 
close(7)                                = 0 
geteuid32()                             = 0 
open("/etc/passwd", O_RDONLY)           = 7 
fcntl64(7, F_GETFD)                     = 0 
fcntl64(7, F_SETFD, FD_CLOEXEC)         = 0 
fstat64(7, {st_mode=S_IFREG|0644, st_size=1564, ...}) = 0 
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, 
-1, 0) = 0xf6fe6000 
read(7, "root:x:0:0:root:/root:/bin/bash\n"..., 4096) = 1564 
close(7)                                = 0 
munmap(0xf6fe6000, 4096)                = 0 
mkdir("/tmp/mcop-root", 0700)           = -1 EEXIST (File exists) 
lstat64("/tmp/mcop-root", {st_mode=S_IFDIR|0700, st_size=4096, ...}) 
= 0 
open("/tmp/mcop-root/secret-cookie", O_RDONLY) = 7 
read(7, "3f20d6300f88bbc5b896f08fd62fff18", 8192) = 32 
close(7)                                = 0 
geteuid32()                             = 0 
open("/etc/passwd", O_RDONLY)           = 7 
fcntl64(7, F_GETFD)                     = 0 
fcntl64(7, F_SETFD, FD_CLOEXEC)         = 0 
fstat64(7, {st_mode=S_IFREG|0644, st_size=1564, ...}) = 0 
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, 
-1, 0) = 0xf6fe6000 
read(7, "root:x:0:0:root:/root:/bin/bash\n"..., 4096) = 1564 
close(7)                                = 0 
munmap(0xf6fe6000, 4096)                = 0 
mkdir("/tmp/mcop-root", 0700)           = -1 EEXIST (File exists) 
lstat64("/tmp/mcop-root", {st_mode=S_IFDIR|0700, st_size=4096, ...}) 
= 0 
open("/tmp/mcop-root/Arts_SoundServer", O_RDONLY) = -1 ENOENT (No 
such file or directory) 
rt_sigaction(SIGPIPE, {SIG_DFL}, {SIG_IGN}, 8) = 0 
close(4)                                = 0 
close(3)                                = 0 
munmap(0xf6fee000, 73348)               = 0 
munmap(0xf6f67000, 434692)              = 0 
munmap(0xf6f22000, 280876)              = 0 
munmap(0x2f3000, 23560)                 = 0 
access("/tmp/.esd/socket", R_OK|W_OK)   = 0 
socket(PF_FILE, SOCK_STREAM, 0)         = 3 
fcntl64(3, F_SETFD, FD_CLOEXEC)         = 0 
setsockopt(3, SOL_SOCKET, SO_REUSEADDR, [1], 4) = 0 
connect(3, {sa_family=AF_FILE, path="/tmp/.esd/socket"}, 18) = 0 
rt_sigaction(SIGPIPE, {0x7c472b0, [PIPE], SA_RESTORER|SA_RESTART, 
0xbeba48}, {SIG_DFL}, 8) = 0 
open("/root/.esd_auth", O_RDONLY)       = 4 
read(4, "\22\204~\221\322!\206\246{/\220\304/\321\236F", 16) = 16 
write(3, "\22\204~\221\322!\206\246{/\220\304/\321\236F", 16) = 16 
write(3, "NDNE", 4)                     = 4 
read(3, "\0\0\0\0", 4)                  = 4 
close(4)                                = 0 
rt_sigaction(SIGPIPE, {SIG_DFL}, {0x7c472b0, [PIPE], SA_RESTORER|
SA_RESTART, 0xbeba48}, 8) = 0 
close(3)                                = 0 
stat64("/dev/sound", 0xfeef087c)        = -1 ENOENT (No such file or 
directory) 
open("/dev/dsp", O_WRONLY|O_NONBLOCK)   = 3 
close(3)                                = 0 
gettimeofday({1099608349, 658784}, NULL) = 0 
rt_sigaction(SIGSEGV, NULL, {SIG_DFL}, 8) = 0 
rt_sigaction(SIGSEGV, {0x7f87384, [], SA_RESTORER, 0x11e8a8}, NULL, 
8) = 0 
rt_sigaction(SIGBUS, NULL, {SIG_DFL}, 8) = 0 
rt_sigaction(SIGBUS, {0x7f87384, [], SA_RESTORER, 0x11e8a8}, NULL, 8) 
= 0 
rt_sigaction(SIGFPE, NULL, {SIG_DFL}, 8) = 0 
rt_sigaction(SIGFPE, {0x7f87384, [], SA_RESTORER, 0x11e8a8}, NULL, 8) 
= 0 
rt_sigaction(SIGQUIT, NULL, {SIG_DFL}, 8) = 0 
rt_sigaction(SIGQUIT, {0x7f87384, [], SA_RESTORER, 0x11e8a8}, NULL, 
8) = 0 
rt_sigaction(SIGALRM, NULL, {SIG_DFL}, 8) = 0 
rt_sigaction(SIG_0, {SIG_IGN}, NULL, 8) = -1 EINVAL (Invalid 
argument) 
rt_sigaction(SIGINT, {0x80489ac, [INT], SA_RESTORER|SA_RESTART, 
0xbeba48}, {SIG_DFL}, 8) = 0 
rt_sigaction(SIGTERM, {0x80489ac, [TERM], SA_RESTORER|SA_RESTART, 
0xbeba48}, {SIG_DFL}, 8) = 0 
stat64("/dev/sound", 0xfeef045c)        = -1 ENOENT (No such file or 
directory) 
open("/dev/dsp", O_WRONLY|O_NONBLOCK)   = 3 
ioctl(3, SNDCTL_DSP_GETFMTS, 0xfeef099c) = 0 
ioctl(3, SNDCTL_DSP_SETFMT or SOUND_PCM_READ_BITS, 0xfeef099c) = 0 
ioctl(3, SOUND_PCM_READ_CHANNELS, 0xfeef099c) = 0 
close(3)                                = 0 
open("/dev/dsp", O_WRONLY)              = 3 
ioctl(3, SNDCTL_DSP_SETFRAGMENT, 0xfeef0998) = 0 
ioctl(3, SNDCTL_DSP_SETFMT or SOUND_PCM_READ_BITS, 0xfeef0994) = 0 
ioctl(3, SOUND_PCM_READ_CHANNELS, 0xfeef0994) = 0 
ioctl(3, SNDCTL_DSP_SPEED or SOUND_PCM_READ_RATE, 0xfeef0994) = 0 
mmap2(NULL, 10489856, PROT_READ|PROT_WRITE|PROT_EXEC, MAP_PRIVATE|
MAP_ANONYMOUS, -1, 0) = 0xf6516000 
mprotect(0xf6516000, 4096, PROT_NONE)   = 0 
clone(child_stack=0xf6f164c8, flags=CLONE_VM|CLONE_FS|CLONE_FILES|
CLONE_SIGHAND|CLONE_THREAD|CLONE_SYSVSEM|CLONE_SETTLS|
CLONE_PARENT_SETTID|CLONE_CHILD_CLEARTID|CLONE_DETACHED, 
parent_tidptr=0xf6f16bf8, {entry_number:6, base_addr:0xf6f16bb0, 
limit:1048575, seg_32bit:1, contents:0, read_exec_only:0, 
limit_in_pages:1, seg_not_present:0, useable:1}, 
child_tidptr=0xf6f16bf8) = 6173 
futex(0x99f879c, FUTEX_WAIT, 0, NULL)   = 0 
brk(0x9a3b000)                          = 0x9a3b000 
open("/etc/timidity.cfg", O_RDONLY)     = -1 ENOENT (No such file or 
directory) 
write(1, "Opened audio at 22050 Hz 16 bit "..., 38) = 38 
write(1, "\n", 1)                       = 1 
open("/usr/share/sounds/warning.wav", O_RDONLY) = 4 
fstat64(4, {st_mode=S_IFREG|0444, st_size=13804, ...}) = 0 
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, 
-1, 0) = 0xf6515000 
read(4, "RIFF\3445\0\0WAVEfmt \20\0\0\0\1\0\1\0D\254\0\0\210X\1"..., 
4096) = 4096 
_llseek(4, -4096, [0], SEEK_CUR)        = 0 
read(4, "RIFF\3445\0\0WAVEfmt \20\0\0\0\1\0\1\0D\254\0\0\210X\1"..., 
4096) = 4096 
read(4, 
"\273\21\275\21\265\21\265\21\261\21\257\21\253\21\251\21"..., 8192) 
= 8192 
read(4, "\320\0\316\0\313\0\311\0\307\0\305\0\303\0\301\0\300\0"..., 
4096) = 1516 
close(4)                                = 0 
munmap(0xf6515000, 4096)                = 0 
gettimeofday({1099608349, 699908}, NULL) = 0 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
select(0, NULL, NULL, NULL, {0, 1000})  = 0 (Timeout) 
brk(0x9a33000)                          = 0x9a33000 
futex(0xf6f16bf8, FUTEX_WAIT, 6173, NULL) = -1 EAGAIN (Resource 
temporarily unavailable) 
brk(0x9a2f000)                          = 0x9a2f000 
brk(0x9a2b000)                          = 0x9a2b000 
ioctl(3, SNDCTL_DSP_RESET, 0xfeef0dfc)  = 0 
close(3)                                = 0 
rt_sigaction(SIGSEGV, NULL, {0x7f87384, [], SA_RESTORER, 0x11e8a8}, 
8) = 0 
rt_sigaction(SIGSEGV, {SIG_DFL}, NULL, 8) = 0 
rt_sigaction(SIGBUS, NULL, {0x7f87384, [], SA_RESTORER, 0x11e8a8}, 8) 
= 0 
rt_sigaction(SIGBUS, {SIG_DFL}, NULL, 8) = 0 
rt_sigaction(SIGFPE, NULL, {0x7f87384, [], SA_RESTORER, 0x11e8a8}, 8) 
= 0 
rt_sigaction(SIGFPE, {SIG_DFL}, NULL, 8) = 0 
rt_sigaction(SIGQUIT, NULL, {0x7f87384, [], SA_RESTORER, 0x11e8a8}, 
8) = 0 
rt_sigaction(SIGQUIT, {SIG_DFL}, NULL, 8) = 0 
exit_group(0)                           = ? 
 
Comment 7 bednar 2004-11-04 17:47:16 EST
the sound does not work under KDE (artsd) too, but work under windows 
on same computer. 
Comment 8 bednar 2004-11-09 16:03:52 EST
Just did clean install (with format) of FC3 but the problem persists.
Comment 9 bednar 2004-11-10 18:53:43 EST
Tried set maximum levels in alsamixer and gnome mixer. Tries (as
someone on fedora-test-list suggested) add snd_intel8x0m
 to /etc/hotplug/blacklist. This does not work too.

Tried to play some file with playwave and got:
ALSA lib pcm_hw.c:521:(snd_pcm_hw_prepare) SNDRV_PCM_IOCTL_PREPARE
failed: Device or resource busy
ALSA lib pcm_hw.c:521:(snd_pcm_hw_prepare) SNDRV_PCM_IOCTL_PREPARE
failed: Device or resource busy
ALSA lib pcm_hw.c:521:(snd_pcm_hw_prepare) SNDRV_PCM_IOCTL_PREPARE
failed: Device or resource busy

Can somebody fix it?
Comment 10 bednar 2004-11-10 18:57:15 EST
Actual outpuf from my lsmod and lspci on FC3 final.

[root@localhost ~]# lsmod
Module                  Size  Used by
i915                   76869  3
parport_pc             24705  1
lp                     11565  0
parport                41737  2 parport_pc,lp
autofs4                24005  0
i2c_dev                10433  0
i2c_core               22081  1 i2c_dev
sunrpc                160421  1
ext3                  116809  1
jbd                    74969  1 ext3
dm_mod                 54741  0
button                  6481  0
battery                 8517  0
ac                      4805  0
md5                     4033  1
ipv6                  232577  8
yenta_socket           18753  1
uhci_hcd               31449  0
ehci_hcd               31557  0
snd_intel8x0m          18185  0
snd_intel8x0           34829  3
snd_ac97_codec         64401  2 snd_intel8x0m,snd_intel8x0
snd_pcm_oss            47609  0
snd_mixer_oss          17217  2 snd_pcm_oss
snd_pcm                97993  3 snd_intel8x0m,snd_intel8x0,snd_pcm_oss
snd_timer              29765  1 snd_pcm
snd_page_alloc          9673  3 snd_intel8x0m,snd_intel8x0,snd_pcm
gameport                4801  1 snd_intel8x0
snd_mpu401_uart         8769  1 snd_intel8x0
snd_rawmidi            26725  1 snd_mpu401_uart
snd_seq_device          8137  1 snd_rawmidi
snd                    54053  14
snd_intel8x0m,snd_intel8x0,snd_ac97_codec,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_timer,snd_mpu401_uart,snd_rawmidi,snd_seq_device
soundcore               9889  2 snd
orinoco_cs              9545  1
ds                     16965  7 orinoco_cs
pcmcia_core            59913  3 yenta_socket,orinoco_cs,ds
orinoco                47053  1 orinoco_cs
hermes                  7617  2 orinoco_cs,orinoco
8139too                26305  0
mii                     4673  1 8139too
reiserfs              244245  1

[root@localhost ~]# lspci
00:00.0 Host bridge: Intel Corp. 82852/82855 GM/GME/PM/GMV Processor
to I/O Controller (rev 01)
00:00.1 System peripheral: Intel Corp. 82852/82855 GM/GME/PM/GMV
Processor to I/O Controller (rev 01)
00:00.3 System peripheral: Intel Corp. 82852/82855 GM/GME/PM/GMV
Processor to I/O Controller (rev 01)
00:02.0 VGA compatible controller: Intel Corp. 82852/855GM Integrated
Graphics Device (rev 01)
00:02.1 Display controller: Intel Corp. 82852/855GM Integrated
Graphics Device (rev 01)
00:1d.0 USB Controller: Intel Corp. 82801DB/DBL/DBM
(ICH4/ICH4-L/ICH4-M) USB UHCI Controller #1 (rev 03)
00:1d.1 USB Controller: Intel Corp. 82801DB/DBL/DBM
(ICH4/ICH4-L/ICH4-M) USB UHCI Controller #2 (rev 03)
00:1d.2 USB Controller: Intel Corp. 82801DB/DBL/DBM
(ICH4/ICH4-L/ICH4-M) USB UHCI Controller #3 (rev 03)
00:1d.7 USB Controller: Intel Corp. 82801DB/DBM (ICH4/ICH4-M) USB2
EHCI Controller (rev 03)
00:1e.0 PCI bridge: Intel Corp. 82801 Mobile PCI Bridge (rev 83)
00:1f.0 ISA bridge: Intel Corp. 82801DBM (ICH4-M) LPC Interface Bridge
(rev 03)
00:1f.1 IDE interface: Intel Corp. 82801DBM (ICH4-M) IDE Controller
(rev 03)
00:1f.3 SMBus: Intel Corp. 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) SMBus
Controller (rev 03)
00:1f.5 Multimedia audio controller: Intel Corp. 82801DB/DBL/DBM
(ICH4/ICH4-L/ICH4-M) AC'97 Audio Controller (rev 03)
00:1f.6 Modem: Intel Corp. 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) AC'97
Modem Controller (rev 03)
02:01.0 Ethernet controller: Realtek Semiconductor Co., Ltd.
RTL-8139/8139C/8139C+ (rev 10)
02:02.0 CardBus bridge: Texas Instruments PCI1410 PC card Cardbus
Controller (rev 01)
02:04.0 CardBus bridge: O2 Micro, Inc. OZ6933 Cardbus Controller (rev 01)
02:04.1 CardBus bridge: O2 Micro, Inc. OZ6933 Cardbus Controller (rev 01)

Comment 11 bednar 2004-11-14 16:53:42 EST
Here is output form strace -ttt aplay file.wav

1100207480.554845 execve("/usr/bin/aplay", ["aplay",
"/usr/share/sounds/warning.wav"], [/* 34 vars */]) = 0
1100207480.555113 uname({sys="Linux", node="localhost.localdomain",
...}) = 0
1100207480.555763 brk(0)                = 0x89f3000
1100207480.555939 access("/etc/ld.so.preload", R_OK) = -1 ENOENT (No
such file or directory)
1100207480.556354 open("/etc/ld.so.cache", O_RDONLY) = 3
1100207480.556491 fstat64(3, {st_mode=S_IFREG|0644, st_size=92299,
...}) = 0
1100207480.556741 old_mmap(NULL, 92299, PROT_READ, MAP_PRIVATE, 3, 0)
= 0xf6fe9000
1100207480.556934 close(3)              = 0
1100207480.557087 open("/lib/libasound.so.2", O_RDONLY) = 3
1100207480.557268 read(3,
"\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0`\32\33"..., 512) = 512
1100207480.557459 fstat64(3, {st_mode=S_IFREG|0755, st_size=686604,
...}) = 0
1100207480.557686 old_mmap(0x5194000, 682816, PROT_READ|PROT_EXEC,
MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x5194000
1100207480.557862 old_mmap(0x5237000, 16384, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0xa3000) = 0x5237000
1100207480.558067 mprotect(0xfee2f000, 4096,
PROT_READ|PROT_WRITE|PROT_EXEC|PROT_GROWSDOWN) = 0
1100207480.558187 close(3)              = 0
1100207480.558318 open("/lib/tls/libm.so.6", O_RDONLY) = 3
1100207480.558473 read(3,
"\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\0003(\000"..., 512) = 512
1100207480.558644 fstat64(3, {st_mode=S_IFREG|0755, st_size=215248,
...}) = 0
1100207480.558864 old_mmap(NULL, 4096, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xf6fe8000
1100207480.559050 old_mmap(0x280000, 139424, PROT_READ|PROT_EXEC,
MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x280000
1100207480.559239 old_mmap(0x2a1000, 8192, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x20000) = 0x2a1000
1100207480.559432 close(3)              = 0
1100207480.559548 open("/lib/libdl.so.2", O_RDONLY) = 3
1100207480.559697 read(3,
"\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\260[*\000"..., 512) = 512
1100207480.559866 fstat64(3, {st_mode=S_IFREG|0755, st_size=16908,
...}) = 0
1100207480.560089 old_mmap(0x2a5000, 12388, PROT_READ|PROT_EXEC,
MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x2a5000
1100207480.560289 old_mmap(0x2a7000, 8192, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x1000) = 0x2a7000
1100207480.560473 close(3)              = 0
1100207480.560599 open("/lib/tls/libpthread.so.0", O_RDONLY) = 3
1100207480.560758 read(3,
"\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\20H;\000"..., 512) = 512
1100207480.560926 fstat64(3, {st_mode=S_IFREG|0755, st_size=108424,
...}) = 0
1100207480.561165 old_mmap(0x3b0000, 70132, PROT_READ|PROT_EXEC,
MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x3b0000
1100207480.561346 old_mmap(0x3be000, 8192, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0xd000) = 0x3be000
1100207480.561546 old_mmap(0x3c0000, 4596, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x3c0000
1100207480.561713 close(3)              = 0
1100207480.561827 open("/lib/tls/libc.so.6", O_RDONLY) = 3
1100207480.561981 read(3,
"\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0 \277\26"..., 512) = 512
1100207480.562163 fstat64(3, {st_mode=S_IFREG|0755, st_size=1512400,
...}) = 0
1100207480.562386 old_mmap(0x157000, 1207532, PROT_READ|PROT_EXEC,
MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x157000
1100207480.562569 old_mmap(0x278000, 16384, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x120000) = 0x278000
1100207480.562765 old_mmap(0x27c000, 7404, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x27c000
1100207480.562932 close(3)              = 0
1100207480.563140 old_mmap(NULL, 4096, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xf6fe7000
1100207480.563411 mprotect(0x2a1000, 4096, PROT_READ) = 0
1100207480.563516 mprotect(0x2a7000, 4096, PROT_READ) = 0
1100207480.563616 mprotect(0x3be000, 4096, PROT_READ) = 0
1100207480.563716 mprotect(0x278000, 8192, PROT_READ) = 0
1100207480.563816 mprotect(0x153000, 4096, PROT_READ) = 0
1100207480.563921 set_thread_area({entry_number:-1 -> 6,
base_addr:0xf6fe7aa0, limit:1048575, seg_32bit:1, contents:0,
read_exec_only:0, limit_in_pages:1, seg_not_present:0, useable:1}) = 0
1100207480.564099 munmap(0xf6fe9000, 92299) = 0
1100207480.564230 set_tid_address(0xf6fe7ae8) = 7048
1100207480.564357 rt_sigaction(SIGRTMIN, {0x3b43a0, [],
SA_RESTORER|SA_SIGINFO, 0x3bb8a0}, NULL, 8) = 0
1100207480.564508 rt_sigaction(SIGRT_1, {0x3b4410, [],
SA_RESTORER|SA_RESTART|SA_SIGINFO, 0x3bb8a0}, NULL, 8) = 0
1100207480.564646 rt_sigprocmask(SIG_UNBLOCK, [RTMIN], NULL, 8) = 0
1100207480.564766 getrlimit(RLIMIT_STACK, {rlim_cur=10240*1024,
rlim_max=RLIM_INFINITY}) = 0
1100207480.564957 _sysctl({{CTL_KERN, KERN_VERSION}, 2, 0xfee2f038,
30, (nil), 0}) = 0
1100207480.565446 brk(0)                = 0x89f3000
1100207480.565538 brk(0x8a14000)        = 0x8a14000
1100207480.565757 stat64("/etc/alsa/alsa.conf", {st_mode=S_IFREG|0644,
st_size=8365, ...}) = 0
1100207480.566074 open("/etc/alsa/alsa.conf", O_RDONLY) = 3
1100207480.566244 fstat64(3, {st_mode=S_IFREG|0644, st_size=8365,
...}) = 0
1100207480.566474 mmap2(NULL, 131072, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xf6fc7000
1100207480.566583 read(3, "#\n#  ALSA library configuration "...,
131072) = 8365
1100207480.569173 read(3, "", 131072)   = 0
1100207480.569299 read(3, "", 131072)   = 0
1100207480.569397 close(3)              = 0
1100207480.569495 munmap(0xf6fc7000, 131072) = 0
1100207480.569739 futex(0x2a8060, FUTEX_WAKE, 2147483647) = 0
1100207480.569970 access("/etc/asound.conf", R_OK) = -1 ENOENT (No
such file or directory)
1100207480.570134 access("/home/bednar/.asoundrc", R_OK) = -1 ENOENT
(No such file or directory)
1100207480.570716 open("/dev/snd/controlC0", O_RDONLY) = 3
1100207480.570863 close(3)              = 0
1100207480.570980 open("/dev/snd/controlC0", O_RDWR) = 3
1100207480.571113 ioctl(3, USBDEVFS_CONTROL, 0xfee2e40c) = 0
1100207480.571267 ioctl(3, 0x40045532, 0xfee2e434) = 0
1100207480.571368 open("/dev/snd/pcmC0D0p", O_RDWR) = 4
1100207480.571522 close(3)              = 0
1100207480.571631 ioctl(4, AGPIOC_ACQUIRE or APM_IOC_STANDBY,
0xfee2e310) = 0
1100207480.571742 fcntl64(4, F_GETFL)   = 0x2 (flags O_RDWR)
1100207480.571845 ioctl(4, AGPIOC_INFO, 0xfee2e27c) = 0
1100207480.571943 ioctl(4, AGPIOC_RELEASE or APM_IOC_SUSPEND,
0xfee2e278) = 0
1100207480.572058 mmap2(NULL, 4096, PROT_READ, MAP_SHARED, 4, 0x80000)
= 0xf6fe6000
1100207480.572197 mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_SHARED,
4, 0x81000) = 0xf6fe5000
1100207480.572335 ioctl(4, AGPIOC_ACQUIRE or APM_IOC_STANDBY,
0xfee2e910) = 0
1100207480.572450 rt_sigaction(SIGINT, {0x804acae, [INT],
SA_RESTORER|SA_RESTART, 0x17ea48}, {SIG_DFL}, 8) = 0
1100207480.572618 rt_sigaction(SIGTERM, {0x804acae, [TERM],
SA_RESTORER|SA_RESTART, 0x17ea48}, {SIG_DFL}, 8) = 0
1100207480.572781 rt_sigaction(SIGABRT, {0x804acae, [ABRT],
SA_RESTORER|SA_RESTART, 0x17ea48}, {SIG_DFL}, 8) = 0
1100207480.572945 open("/usr/share/sounds/warning.wav",
O_RDONLY|O_LARGEFILE) = 3
1100207480.573098 read(3, "RIFF\3445\0\0WAVEfmt \20\0\0\0\1\0\1\0",
24) = 24
1100207480.573291 read(3, "D\254", 2)   = 2
1100207480.573405 read(3, "\0\0\210X\1\0\2\0\20\0", 10) = 10
1100207480.573530 read(3, "data\3005\0\0", 8) = 8
1100207480.573678 write(2, "Playing WAVE \'/usr/share/sounds/"..., 47)
= 47
1100207480.574007 write(2, "Signed 16 bit Little Endian, ", 29) = 29
1100207480.574258 write(2, "Rate 44100 Hz, ", 15) = 15
1100207480.574471 write(2, "Mono", 4)   = 4
1100207480.574669 write(2, "\n", 1)     = 1
1100207480.574913 ioctl(4, 0xc25c4110, 0xfee2e210) = 0
1100207480.575060 ioctl(4, 0xc25c4110, 0xfee2de60) = 0
1100207480.575191 ioctl(4, 0xc25c4110, 0xfee2de60) = 0
1100207480.575380 ioctl(4, 0xc25c4110, 0xfee2e210) = 0
1100207480.575577 ioctl(4, 0xc25c4110, 0xfee2de60) = 0
1100207480.575691 ioctl(4, 0xc25c4110, 0xfee2de60) = 0
1100207480.575857 ioctl(4, 0xc25c4110, 0xfee2e210) = 0
1100207480.576029 ioctl(4, 0xc25c4110, 0xfee2df70) = 0
1100207480.578594 ioctl(4, 0xc25c4110, 0xfee2dbc0) = 0
1100207480.578757 ioctl(4, 0xc25c4110, 0xfee2dbc0) = 0
1100207480.578939 ioctl(4, 0xc25c4110, 0xfee2df70) = 0
1100207480.579110 ioctl(4, 0xc25c4110, 0xfee2df70) = 0
1100207480.579301 ioctl(4, 0xc25c4110, 0xfee2dbc0) = 0
1100207480.579412 ioctl(4, 0xc25c4110, 0xfee2dbc0) = 0
1100207480.579528 ioctl(4, 0xc25c4110, 0xfee2df70) = 0
1100207480.579645 ioctl(4, 0xc25c4110, 0xfee2df70) = 0
1100207480.579776 ioctl(4, 0xc25c4110, 0xfee2dbc0) = 0
1100207480.579887 ioctl(4, 0xc25c4110, 0xfee2dbc0) = 0
1100207480.580005 ioctl(4, 0xc25c4110, 0xfee2df70) = 0
1100207480.580136 ioctl(4, 0xc25c4110, 0xfee2df70) = 0
1100207480.580262 ioctl(4, 0xc25c4110, 0xfee2dbc0) = 0
1100207480.580372 ioctl(4, 0xc25c4110, 0xfee2dbc0) = 0
1100207480.580484 ioctl(4, 0xc25c4110, 0xfee2df70) = 0
1100207480.580601 ioctl(4, 0xc25c4110, 0xfee2df70) = 0
1100207480.580721 ioctl(4, 0xc25c4110, 0xfee2dbc0) = 0
1100207480.580832 ioctl(4, 0xc25c4110, 0xfee2dbc0) = 0
1100207480.580947 ioctl(4, 0xc25c4110, 0xfee2df70) = 0
1100207480.581074 ioctl(4, 0xc25c4110, 0xfee2da60) = 0
1100207480.581215 ioctl(4, 0xc25c4110, 0xfee2d6b0) = 0
1100207480.581322 ioctl(4, 0xc25c4110, 0xfee2d6b0) = 0
1100207480.581432 ioctl(4, 0xc25c4110, 0xfee2d6b0) = 0
1100207480.581538 ioctl(4, 0xc25c4110, 0xfee2da60) = 0
1100207480.581649 ioctl(4, 0xc25c4110, 0xfee2da60) = 0
1100207480.581765 ioctl(4, 0xc25c4110, 0xfee2da60) = 0
1100207480.581890 ioctl(4, 0xc25c4110, 0xfee2d6b0) = 0
1100207480.582000 ioctl(4, 0xc25c4110, 0xfee2d6b0) = 0
1100207480.582129 ioctl(4, 0xc25c4110, 0xfee2da60) = 0
1100207480.582241 ioctl(4, 0xc25c4110, 0xfee2dcb0) = 0
1100207480.582364 ioctl(4, 0xc25c4110, 0xfee2dcb0) = 0
1100207480.582474 ioctl(4, 0xc25c4110, 0xfee2dcb0) = 0
1100207480.582589 ioctl(4, 0xc25c4110, 0xfee2dcb0) = 0
1100207480.582714 ioctl(4, 0xc25c4110, 0xfee2dcb0) = 0
1100207480.582840 ioctl(4, 0xc25c4110, 0xfee2da60) = 0
1100207480.582963 ioctl(4, 0xc25c4110, 0xfee2da60) = 0
1100207480.583074 ioctl(4, 0xc25c4110, 0xfee2da60) = 0
1100207480.583205 ioctl(4, 0xc25c4110, 0xfee2da60) = 0
1100207480.583338 ioctl(4, 0xc25c4110, 0xfee2da60) = 0
1100207480.583450 ioctl(4, 0xc25c4110, 0xfee2da60) = 0
1100207480.583573 ioctl(4, 0xc25c4110, 0xfee2da60) = 0
1100207480.583684 ioctl(4, 0xc25c4110, 0xfee2da60) = 0
1100207480.583798 ioctl(4, 0xc25c4110, 0xfee2da60) = 0
1100207480.583923 ioctl(4, 0xc25c4110, 0xfee2da60) = 0
1100207480.584035 ioctl(4, 0xc25c4110, 0xfee2dca0) = 0
1100207480.584176 ioctl(4, 0xc25c4110, 0xfee2dca0) = 0
1100207480.584287 ioctl(4, 0xc25c4110, 0xfee2dca0) = 0
1100207480.584401 ioctl(4, 0xc25c4110, 0xfee2dca0) = 0
1100207480.584535 ioctl(4, 0xc25c4110, 0xfee2dca0) = 0
1100207480.584648 ioctl(4, 0xc25c4110, 0xfee2dca0) = 0
1100207480.584771 ioctl(4, 0xc25c4110, 0xfee2dca0) = 0
1100207480.584882 ioctl(4, 0xc25c4110, 0xfee2dca0) = 0
1100207480.584996 ioctl(4, 0xc25c4110, 0xfee2dca0) = 0
1100207480.585141 ioctl(4, 0xc25c4110, 0xfee2dca0) = 0
1100207480.585258 ioctl(4, 0xc25c4110, 0xfee2e150) = 0
1100207480.585381 ioctl(4, 0xc25c4110, 0xfee2e150) = 0
1100207480.585491 ioctl(4, 0xc25c4110, 0xfee2e150) = 0
1100207480.585606 ioctl(4, 0xc25c4110, 0xfee2e150) = 0
1100207480.585726 ioctl(4, 0xc25c4110, 0xfee2e180) = 0
1100207480.585849 ioctl(4, 0xc25c4110, 0xfee2e180) = 0
1100207480.585960 ioctl(4, 0xc25c4110, 0xfee2e180) = 0
1100207480.586138 ioctl(4, 0xc25c4110, 0xfee2dd90) = 0
1100207480.586266 ioctl(4, 0xc25c4110, 0xfee2dda0) = 0
1100207480.586382 ioctl(4, 0xc25c4111, 0xfee2dda0) = 0
1100207480.586893 ioctl(4, 0xc0684113, 0xfee2dce0) = 0
1100207480.587060 ioctl(4, 0x80104132, 0xfee2dc10) = 0
1100207480.587182 ioctl(4, 0x80104132, 0xfee2dc10) = 0
1100207480.587295 mmap2(NULL, 65536, PROT_READ|PROT_WRITE, MAP_SHARED,
4, 0) = 0xf6fd5000
1100207480.587432 ioctl(4, 0x4140, 0)   = 0
1100207480.587549 ioctl(4, 0xc0684113, 0xfee2e520) = 0
1100207480.587663 read(3,
"\1\0\377\377\0\0\1\0\0\0\0\0\0\0\0\0\1\0\0\0\0\0\0\0\1"..., 8192) = 8192
1100207480.587980 read(3,
"\225\v\241\v\242\v\252\v\257\v\264\v\273\v\300\v\306\v"..., 5568) = 5568
1100207480.588233 ioctl(4, 0x4144, 0xfee2e838) = -1 EIO (Input/output
error)
1100207490.586806 write(2, "ALSA lib pcm_hw.c:578:(snd_pcm_h"..., 41) = 41
1100207490.587111 write(2, "SNDRV_PCM_IOCTL_DRAIN failed", 28) = 28
1100207490.587410 write(2, ": Input/output error", 20) = 20
1100207490.587643 write(2, "\n", 1)     = 1
1100207490.587830 close(3)              = 0
1100207490.587936 ioctl(4, 0x4143, 0xfee2e858) = 0
1100207490.588040 munmap(0xf6fd5000, 65536) = 0
1100207490.588148 ioctl(4, 0x4112, 0x522d665) = 0
1100207490.588248 close(4)              = 0
1100207490.588339 munmap(0xf6fe6000, 4096) = 0
1100207490.588433 munmap(0xf6fe5000, 4096) = 0
1100207490.588732 exit_group(0)         = ?
Comment 12 bednar 2004-11-14 17:01:55 EST
I found there a lot of ioctl() and if I understand it there is
nonexistent type of ioctl SNDRV_PCM_IOCTL_DRAIN. I did search for such
string "SNDRV_PCM_IOCTL_DRAIN" and abbreviations of it in /usr/include
and found none. The SNDRV exist in two files:
file:///usr/include/alsa/sound/sb16_csp.h and
file:///usr/include/alsa/sound/hdsp.h but with different later part.
I don't know I my uynderstanding of the problem is good. It is just a try.
Comment 13 bednar 2004-11-18 18:01:07 EST
I try everyday hack the bug with no success.
There is no progress after upgrading udev, kernel...
after upgrading laptop's BIOS,
ater adding snd_intel8x0m to the /etc/hotplug/blacklist which solution
wors for two persons at fedora-test-list forum.

What to do?

Darek Borkowski
Comment 14 Peter Zubaj 2004-11-22 14:18:54 EST
Input/Output error sometimes mean irq problems. Try to dissable apic 
and acpi. 
Comment 15 bednar 2004-11-23 17:42:37 EST
How and where?

I got it almost working. I've installed alsa-driver rpm form
atrpms.net and then started alsaconfig, which found my card in
database, added some lines to /etc/modprobe.conf and started alsa
(/etc/init.d/alsasound start). Then I had to pull up sliders in
alsamixer and I have sound, but I have to do this every time I boot my
laptop. I added /etc/init.d/alsasound et the end of rclocal script,
but this deas not work without running alsaconfig. There are two things:
1.alsamixer and gnome-mixer do not save volume levels (I always get
muted PCM and phones sliders (both volume 0% and mute checkbox)).
2.Before starting alsaconf when I want to play some music with e.g.
aplay I got error:
codec read 0: semaphore is not ready for register 0x2c
Comment 16 Dave Jones 2005-07-15 14:19:17 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 17 Dave Jones 2005-12-07 02:58:13 EST
This bug has been mass-closed along with all other bugs that
have been in NEEDINFO state for several months.

Due to the large volume of inactive bugs in bugzilla, this
is the only method we have of cleaning out stale bug reports
where the reporter has disappeared.

If you can reproduce this bug with current FC3 updates, please
reopen this bug.

If you are not the reporter, you can add a comment requesting
it be reopened, and someone will get to it asap.

If you are not the reporter, but can reproduce this problem against
FC4, please open a new bug.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.